<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node18.html" />
<link rel="prev" href="node16.html" />
<link rel="parent" href="node16.html" />
<link rel="next" href="node18.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>6.2.1 Exim configuration</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="6.2 using the Exim"
  href="node16.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="6.2 using the Exim"
  href="node16.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.2.2 main configuration settings"
  href="node18.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node16.html">6.2 Using the Exim</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node16.html">6.2 Using the Exim</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node18.html">6.2.2 Main configuration settings</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h3><a name="SECTION001621000000000000000">
6.2.1 Exim configuration</a>
</h3>

<p>
The Exim configuration is built so that a list created within Mailman
automatically appears to Exim without the need for defining any additional
aliases.

<p>
The drawback of this configuration is that it will work poorly on systems
supporting lists in several different mail domains.  While Mailman handles
virtual domains, it does not yet support having two distinct lists with the
same name in different virtual domains, using the same Mailman installation.
This will eventually change.  (But see below for a variation on this scheme
that should accommodate virtual domains better.)

<p>
The configuration file excerpts below are for use in an already functional
Exim configuration, which accepts mail for the domain in which the list
resides.  If this domain is separate from the others handled by your Exim
configuration, then you'll need to:

<p>

<ul>
<li>add the list domain, ``my.list.domain'' to <var>local_domains</var>

<p>
</li>
<li>add a ``domains=my.list.domain'' option to the director (router) for the
      list

<p>
</li>
<li>(optional) exclude that domain from your other directors (routers)
</li>
</ul>

<p>
<div class="note"><b class="label">Note:</b>

The instructions in this document should work with either Exim 3 or Exim 4.
In Exim 3, you must have a <var>local_domains</var> configuration setting; in Exim
4, you most likely have a <var>local_domains</var> domainlist.  If you don't, you
probably know what you're doing and can adjust accordingly.  Similarly, in
Exim 4 the concept of ``directors'' has disappeared - there are only routers
now.  So if you're using Exim 4, whenever this document says ``director'',
read ``router''.
</div>

<p>
Whether you are using Exim 3 or Exim 4, you will need to add some macros to
the main section of your Exim config file.  You will also need to define one
new transport.  With Exim 3, you'll need to add a new director; with Exim 4, a
new router plays the same role.

<p>
Finally, the configuration supplied here should allow co-habiting Mailman 2.0
and 2.1 installations, with the proviso that you'll probably want to use
<code>mm21</code> in place of <code>mailman</code> - e.g., <var>MM21_HOME</var>,
<var>mm21_transport</var>, etc.

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="6.2 using the Exim"
  href="node16.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="6.2 using the Exim"
  href="node16.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.2.2 main configuration settings"
  href="node18.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="node16.html">6.2 Using the Exim</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="node16.html">6.2 Using the Exim</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node18.html">6.2.2 Main configuration settings</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
